Subject: Re: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Dmitry Gutov <[email-masked]>
Date: Wed, 25 Oct 2023 19:10:55 +0300

On 25/10/2023 19:08, Eli Zaretskii wrote:
>> Of course, maybe I'm not being bold enough and we shouldn't wait: let's
>> change the default `lexical-binding` to t right away and just tell
>> people to add a `lexical-binding:nil` cookie if they don't know how (or
>> don't want to) adjust their code to the new dialect.
> If this is what you were arguing for, I could at least understand it.
> The measure proposed here I don't even understand.

FWIW, if we flipped lexical-binding to t in the next release, that 
should also solve all user scenarios that were presented in this discussion.